                         MortCalc.doc.f
                         ~~~~~~~~~~~~~~
	MortCalc est gratuit ne peut être vendu. Distribuez-le
	avec tous les fichiers inclus.

UTILISATION
~~~~~~~~~~~	
-à partir du CLI: 	MortCalc <-c -f>
	
	où -c change le mode de calcul par défaut de USA à Canada
	   -f change le langage par défaut de l'anglais au français
	   -s affiche les résultats bruts (6 décimales non arrondies)
	      sur le CLI ou à l'imprimante avec: MortCalc >PRT: -s

	"MortCalc ?" affiche un tableau d'aide sur le CLI.

-à partir du Workbench: double-cliquer l'icône. Voir PRESELECTION.

BOUTONS ET BOITES
~~~~~~~~~~~~~~~~~
Si vous connaissez bien votre Amiga, lancez MortCalc et lisez
ensuite ce doc pour plus de détails.

Choisir l'opération souhaitée en cliquant sur un des boutons à gauche
(PRINCIPAL, TAUX, PERIODE, SOLDE ou PAIEMENT). La valeur PERIODE
représente la PERIODE d'amortissement (durée du prêt). Le bouton
sélectionné reste en vidéo inverse et le ligne MESSAGE confirme la
sélection. Au départ, MortCalc calcule les versements mensuels
correspondants aux valeurs affichées dans les boîtes de valeurs 
(PAIEMENT sélectionné).

Pour changer une valeur, cliquer dans une boîte et corriger la
valeur avec le clavier ou le bloc numérique (DEL, espace arrière et
les flèches gauche et droite sont actives). On peut cliquer CALCUL
à tout moment. Si on tape <RETURN>, le curseur saute dans la boîte
suivante.

Pour vider une boîte de valeurs, on peut aussi utiliser
Amiga(droite)-X (taper X en tenant la clé A droite enfoncée). Ceci
fait de la place, mais ne change pas la valeur; pour changer une
valeur, il faut cliquer CALCUL. Ce bouton entre toutes les valeurs 
affichées et donne la réponse dans la boîte de valeurs sélectionnée. 
Le résultat est indiqué par le curseur.

Le bouton CALCUL met en forme les valeurs affichées et rajoute les
$, %, ... On peut écrire des caractères dans les boîtes de valeurs,
mais seules les valeurs numériques sont acceptées. Evidemment, toute
valeur non numérique produit un message d'erreur.

Lors du calcul du TAUX, MortCalc envoie un message d'erreur si les
INTERETS rééls égalent ou dépassent le PAIEMENT. 
 
La boîte INTERETS indique la partie intérêts d'un paiement (calculée
en valeur moyenne mensuelle). Cette boîte est la seule qui n'accepte
pas d'entrée directe et elle est mise à jour chaque fois que
PAIEMENT change. Parce qu'il s'agit d'une valeur moyenne, elle peut
ne pas varier, par exemple quand on passe du mode CANADA au mode
USA. Pour la même raison, dans certains cas limites, INTERETS peut
dépasser PAIEMENTS. C'est aussi le cas, bien entendu, quand le SOLDE
est calculé.

Le bouton CANADA fait passer du mode par défaut USA (capitalisation
mensuelle) au mode canadien (capitalisation semestrielle). Avec les
valeurs de départ, on obtient $132.15 (USA) ou $131.03 (Canada). Les
valeurs calculées par MortCalc ont été vérifiées dans des tables et
sont très fiables.  

On peut aussi entrer un multiple de 12 (1, 2, 3, 4, 6 et 12) dans la
boîte "Capitalisé sur ... mois" Par exemple, entrer 3 pour obtenir
une capitalisation trimestrielle.


Le bouton IMPRIMER donne une copie papier de toutes les valeurs.
ATTENTION: Si l'imprimante n'est pas en ligne, MortCalc peut bloquer.

Pour SORTIR, cliquer le bouton carré du coin supérieur gauche...
 
RACCOURCIS
~~~~~~~~~~
Les boîtes de valeurs (sauf PERIODE) n'acceptent que des valeurs
numériques, et il n'est pas nécessaire d'entrer les $, % ou les
virgules des milliers, CALCUL le fait pour vous.

Quant à la boîte PERIODE, elle accepte tous les caractères non numériques
pour séparer deux champs d'entiers (années et mois). Ainsi, les
entrées suivantes sont équivalentes:
		 	
			10 ans 2 mo.
			10 yrs 2 months	
			10/2
			0a122         (122 mois = 10 ans 2 mois)

Veuiller noter que les boîtes PERIODE et "Capitalisé sur..." n'acceptent
que des entiers. Toutes les autres prennent des entiers ou de valeurs 
décimales.

On peut utiliser MortCalc sans la souris en utilisant les touches flèches
à l'intérieur des boîtes et <RETURN> pour passer d'une boîte à l'autre.
Placer le pointeur de la souris sur CALCUL et presser simultanément
Alt gauche et Amiga gauche pour simuler le clic de la souris...

TOUR DE PISTE
~~~~~~~~~~~~~
MortCalc peut faire beaucoup plus que calculer vos versements
hypothécaires. Par exemple, en partant des valeurs initiales, on
peut évaluer la durée des paiements si les versements mensuels
passent à $150. Solution: cliquer le bouton PERIODE et entrer $150
dans la boîte PAIEMENT, puis cliquer CALCUL.

On veut savoir le solde d'un emprunt après un an. Solution: cliquer
le bouton SOLDE et entrer 1 dans la boîte PERIODE.
 
Attention aux valeurs asymptotiques si vous ne voulez pas payer
votre hypothèque pour l'éternité! Par exemple, cliquer PERIODE et
augmenter graduellement le PRINCIPAL jusqu'à ce qu'un message
d'erreur soit affiché (quand PERIODE dépasse 9999 mois...). Juste
avant cette valeur, une augmentation du PRINCIPAL d'un pauvre petit
dollar peut donner un changement de *plusieurs années* dans PERIODE!


Même en ajoutant des fractions de cent (p. ex. $.0.003) au PAIEMENT,
on peut obtenir des différences de plusieurs dollars dans le
PRINCIPAL. L'arrondissement des valeurs explique aussi pourquoi
il peut rester quelques cents dans le SOLDE même quand la PERIODE 
d'amortissement est terminée. Utiliser l'option -s du CLI pour des
sorties brutes non arrondies à plus de deux décimales.

MortCalc vous donne tout ce qu'il faut pour négocier une hypothèque.
Soyez aussi bien (ou mieux) renseigné que votre agent de prêts.

PRESELECTION DE VALEURS PAR DEFAUT
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
On peut changer certaines valeurs par défaut en modifiant le contenu
de la boîte Tool Types de l'icône (menu INFO du Workbench). ARG1=CAN
et ARG2=FR remplacent respectivement le mode de calcul USA par le
mode canadien, et l'anglais par le français. Effacer ces entrées
pour retrouver les valeurs par défaut. Ce mode invisible de
sélection de la langue est le bienvenu sur notre petite planète.

AGITPROP
~~~~~~~~
La prochaine version de MortCalc incorporera la capitalisation hebdo-
madaire et aux deux semaines s'il y a assez d'intéressés...


                                                Michel Laliberté
